# BasicDebugger Class Reference

`#include <BasicDebugger.h>`

List of all members.

## Static Public Member Functions

void | initStackTrace (std::string executableName)
bool | printStackTrace (std::ostream &stream)
bool | getStackTrace (std::list< std::string > &trace, unsigned int offset=0)

## Static Public Attributes

bool | leaveCores = false
bool | ignoreOffsets = false

## Static Private Attributes

std::string | executableName

## Member Function Documentation

bool BasicDebugger::getStackTrace | ( | std::list< std::string > & | trace,
|  | unsigned int | offset = `0`
| ) | `[static]`

void BasicDebugger::initStackTrace | ( | std::string | executableName | ) | `[static]`

bool BasicDebugger::printStackTrace | ( | std::ostream & | stream | ) | `[static]`

## Member Data Documentation

string BasicDebugger::executableName `[static, private]`

bool BasicDebugger::ignoreOffsets = false`[static]`

bool BasicDebugger::leaveCores = false`[static]`

The documentation for this class was generated from the following files:

- BasicDebugger.h
- BasicDebugger.cpp